Top wallets
curl --request GET \
--url https://api.raze.bot/v1/wallets/top \
--header 'x-api-key: <api-key>'import requests
url = "https://api.raze.bot/v1/wallets/top"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.raze.bot/v1/wallets/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chain": "sol",
"address": "4vw54BmAogeRV3vPKWyFet5yf8DTLcREzdSzx4rw9Ud9",
"period": "7d",
"realizedPnlUsd": 411353.33,
"realizedPnlPercent": 66.28,
"volumeUsd": null,
"trades": 7093,
"buys": 5333,
"sells": 1760,
"winRatePercent": 63.58,
"tokensTraded": null,
"totalPnlUsd": null,
"nativeBalance": 745.64,
"twitter": "https://x.com/notdecu",
"tags": [
"kol",
"axiom",
"photon"
],
"fundedBy": null,
"lastActiveAt": 1790810647000
}
]
}{
"error": {
"code": "bad_request",
"message": "unknown chain 'xyz', use one of: sol, eth, bsc, base, robinhood"
}
}Wallets
Top wallets
The most profitable wallets on a chain over a period.
GET
/
v1
/
wallets
/
top
Top wallets
The most profitable wallets on a chain (default
sol) over 1d, 7d or 30d, by realized profit unless you sort by winRate or trades. Rows are wallet stats; tags are free-form labels (kol, smart, the trading app the wallet uses, …).Authorizations
ApiKeyHeaderBearerApiKeyQuery
Query Parameters
Available options:
1d, 7d, 30d Available options:
pnl, winRate, trades Required range:
x <= 100Response
Wallets
Show child attributes
Show child attributes
⌘I